<% content_for :title, "Booking ADM" %>
<div class="container-fluid px-0">
    <nav class="navbar navbar-light bg-info">
        <div class="col-md-12 text-center">
            <h3>Danh sách PKB đặt qua chuyển khoản</h3>
        </div>
    </nav>
    <div class="col-md-12 text-center pt-5">
        <div class="offset-2 col-md-8 text-center">
            <form method="GET" class="form-inline">
                <div class="form-group col-md-3 mb-2">
                    <label for="patient_name">Tên BN: </label>
                    <input id="patient_name" class="form-control form-control-sm" type="text" name="patient_name" value="<%= @params[:patient_name] ||= nil  %>" />
                </div>
                <div class="form-group col-md-3 mb-2">
                    <label for="sohs">Số HS: </label>
                    <input id="sohs" class="form-control form-control-sm" type="text" name="sohs" value="<%= @params[:sohs] ||= nil  %>" />
                </div>
                <div class="form-group col-md-3 mb-2">
                    <label for="transaction_code_tt">Mã TT: </label>
                    <input id="transaction_code_tt" class="form-control form-control-sm" type="text" name="transaction_code_tt" value="<%= @params[:transaction_code_tt] ||= nil  %>" />
                </div>
                <div class="form-group col-md-3 mb-2">
                    <button type="submit" class="btn btn-sm btn-primary">Search...</button>
                </div>
            </form>
        </div>
        <div class="col-md-12 pt-5 m-0">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Mã thanh toán</th>
                        <th>Chi tiết</th>
                        <th>Số tiền</th>
                        <th>Ngày ĐK</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                <% @payments.each do |e| %>
                    <% if e.booking.length > 0 %>
                        <tr>
                            <td><%= e.transaction_code_tt %></td>
                            <td>
                                <% if e.booking %>
                                    <table class="table table-sm table-borderless table-light px-0">
                                        <thead>
                                            <tr>
                                                <th>Ngày khám</th>
                                                <th>Giờ khám</th>
                                                <th>Khoa khám</th>
                                                <th>Bác sĩ</th>
                                                <th>Số tiền</th>
                                                <th>Thông tin BN</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <% e.booking.each do |f| %>
                                            <tr>
                                                <td><%= f.booking_date.to_date.strftime("%d-%m-%Y") %></td>
                                                <td><%= format_booking_time(f.booking_time.from, f.booking_time.to) %></td>
                                                <td><%= f.subject.name %></td>
                                                <td><%= f.doctor.name %></td>
                                                <td><%= f.subject.price %></td>
                                                <td>
                                                    <%= f.patient.surname.to_s + " " + f.patient.name.to_s %> 
                                                    (<%=f.patient.bvdhyd_msbn ? f.patient.bvdhyd_msbn : f.patient.medpro_id %>)
                                                </td>
                                            </tr>
                                        <% end %>
                                        </tbody>
                                    </table>
                                <% end %>
                            </td>
                            <td><%= number_with_delimiter(e.amount) %></td>
                            <td><%= e.date_create.to_time.strftime("Ngày: <b>%d-%m-%Y</b> Giờ: <b>%H:%M:%S</b>").html_safe %></td>
                            <td>
                                <a target="_blank" class="btn btn-sm btn-success" href="/adm/booking/do_pay?transaction_code_tt=<%= e.transaction_code_tt %>" >T.Toán</a>
                                <a target="_blank" class="btn btn-sm btn-warning" href="/adm/booking/do_pay_again?transaction_code_tt=<%= e.transaction_code_tt %>" >T.Toán Lại</a>
                                <a onclick="return confirm('Bạn có chắc chắn hủy Thanh toán này?')" class="btn btn-sm btn-danger" href="/adm/booking/cancel?transaction_code_tt=<%= e.transaction_code_tt %>" >Hủy</a>
                            </td>
                        </tr>
                    <% end %>
                <% end %>
                </tbody>
            </table>
        </div>
    </div>
</div>